Skip to content
Start here

List captions or subtitles for a provided language

client.stream.captions.language.get(stringidentifier, stringlanguage, LanguageGetParams { account_id } params, RequestOptionsoptions?): Caption { generated, label, language, status }
GET/accounts/{account_id}/stream/{identifier}/captions/{language}

Lists the captions or subtitles for provided language.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream WriteStream Read
ParametersExpand Collapse
identifier: string

A Cloudflare-generated unique identifier for a media item.

maxLength32
language: string

The language tag in BCP 47 format.

params: LanguageGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
Caption { generated, label, language, status }
generated?: boolean

Whether the caption was generated via AI.

label?: string

The language label displayed in the native language to users.

language?: string

The language tag in BCP 47 format.

status?: "ready" | "inprogress" | "error"

The status of a generated caption.

One of the following:
"ready"
"inprogress"
"error"

List captions or subtitles for a provided language

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const caption = await client.stream.captions.language.get(
  'ea95132c15732412d22c1476fa83f27a',
  'tr',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(caption.generated);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "generated": true,
    "label": "Türkçe",
    "language": "tr",
    "status": "ready"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "generated": true,
    "label": "Türkçe",
    "language": "tr",
    "status": "ready"
  }
}